For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • GETAdvanced search for Assets
      • POSTAdvanced search for Assets
      • POSTBulk copy assets
      • DELBulk delete assets
      • POSTCopy asset
      • POSTCreate an Asset
      • DELDelete an Asset
      • GETFetch child Assets
      • GETGet an Asset
      • GETGet audio for an Asset
      • GETGet the subtitles for an Asset
      • POSTMove asset
      • POSTRequest upload URLs for real-time upload
      • GETSearch for Assets
      • POSTSearch for Assets
      • DELUnversion an Asset
      • PUTUpdate an Asset
      • POSTVersion an Asset

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceAssets

Request upload URLs for real-time upload

POST
https://api.frame.io/v2/assets/:asset_id/realtime_upload/parts
POST
/v2/assets/:asset_id/realtime_upload/parts
1import requests
2
3url = "https://api.frame.io/v2/assets/asset_id/realtime_upload/parts"
4
5payload = { "parts": [
6 {
7 "number": 1,
8 "size": 10568125,
9 "is_final": False
10 }
11 ] }
12headers = {
13 "Authorization": "Bearer <token>",
14 "Content-Type": "application/json"
15}
16
17response = requests.post(url, json=payload, headers=headers)
18
19print(response.json())
1{
2 "upload_urls": [
3 "https://frameio-uploads-production.s3-accelerate.amazonaws.com/parts/[part_02_path]"
4 ]
5}

Register real-time upload parts and generate presigned AWS S3 upload PUT URLs.

Was this page helpful?
Previous

Search for Assets

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

asset_idstringRequired

Request

Enumerates parts that upload URLs should be created for.
partslist of objectsRequired
List of file upload parts to register with Frame.
asset_namestringOptionalformat: "\..+"

Updates the asset name if only extension was supplied to assetCreate, and the default name is still in use.

Otherwise, will be ignored.

asset_filesizeintegerOptional1-5497558138880

The full filesize for the upload in bytes. This field is required when an object in parts has is_final set to true.

Must be no more than 5 TiB.

Response

Returns array of upload URLs for created parts.
upload_urlslist of strings

Array of AWS S3 presigned upload PUT URLs.

Returned in the same order as the parts field of the request.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error